#ifndef SampleGraph_h
#define SampleGraph_h

#include <QWidget>
class ButtonEditor;

// A SampleGraph is inserted as a table cell's widget for the ButtonEditor
// table of samples. It graphically draws the series of pulse,space info for
// each button press sample.
//
class SampleGraph : public QWidget {

   Q_OBJECT

public:

   SampleGraph(
      ButtonEditor * init_editor,
      unsigned int init_index,
      QWidget * parent = 0);

   virtual
   ~SampleGraph();

protected:

   virtual void
   paintEvent(QPaintEvent * event);

   virtual void
   PaintSamples();

   virtual void
   PaintDiffs();

private:

   ButtonEditor * editor;
   unsigned int   index;
};

#endif // SampleGraph_h
